Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.css
Class CssStyleSheetHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.css.CssStyleSheetHandle

    public class CssStyleSheetHandle

extends ElementDetailHandle

Represents an include style sheet in the module. A style sheet is used for the user to load an external ".css" style file in the module.

See Also:
  `CssStyleSheet`

Field Summary
`protected org.eclipse.birt.report.model.css.CssStyleSheet` | `styleSheet` The translation message.

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`CssStyleSheetHandle(ModuleHandle moduleHandle, org.eclipse.birt.report.model.css.CssStyleSheet styleSheet)` Constructs a handle for an style sheet.

Method Summary
`SharedStyleHandle` | `findStyle(java.lang.String name)` Gets a style handle with the given name in the style sheet.
`DesignElementHandle` | `getContainerHandle()` Gets container handle.
`java.lang.String` | `getFileName()` Gets css file name
`java.util.List` | `getParserErrors()` Gets the message list for the parser errors.
`java.util.List` | `getParserFatalErrors()` Gets the message list for the parser fatal errors.
`java.util.List` | `getParserWarnings()` Gets the message list for the parser warnings.
`java.util.Iterator` | `getStyleIterator()` Returns an iterator over the styles of this style sheet.
`org.eclipse.birt.report.model.css.CssStyleSheet` | `getStyleSheet()` Gets the style sheet.
`java.util.List` | `getUnsupportedStyles()` Returns all the unsupported style names.
`java.util.List` | `getWarnings(java.lang.String styleName)` Gets the warning list of the given style.

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleSheet

    protected org.eclipse.birt.report.model.css.CssStyleSheet styleSheet

  The translation message.

Constructor Detail

### CssStyleSheetHandle

    public CssStyleSheetHandle(ModuleHandle moduleHandle,
                               org.eclipse.birt.report.model.css.CssStyleSheet styleSheet)

  Constructs a handle for an style sheet.

  Parameters:
    `moduleHandle` - a handle to a module
    `styleSheet` - the style sheet to be handled

Method Detail

### getStyleSheet

    public org.eclipse.birt.report.model.css.CssStyleSheet getStyleSheet()

  Gets the style sheet.

  Returns:
    the style sheet

### getStyleIterator

    public java.util.Iterator getStyleIterator()

  Returns an iterator over the styles of this style sheet. Useful only for style sheet. Returns a list of all the styles that use this style sheet.

  Returns:
    an iterator over the styles of this style sheet. Each item returned by the iterator's `getNext( )` method is of type `SharedStyleHandle`.

### findStyle

    public SharedStyleHandle findStyle(java.lang.String name)

  Gets a style handle with the given name in the style sheet.

  Parameters:
    `name` - the name of the style to find
  Returns:
    the style handle with the given name in the style sheet, otherwise `null`

### getUnsupportedStyles

    public java.util.List getUnsupportedStyles()

  Returns all the unsupported style names.

  Returns:
    the list of the unsupported style name

### getWarnings

    public java.util.List getWarnings(java.lang.String styleName)

  Gets the warning list of the given style. Each one in the list is instance of `StyleSheetParserException`.

  Parameters:
    `styleName` - the style name
  Returns:
    the warning list of the given style, otherwise null
  See Also:
    `StyleSheetParserException`

### getParserErrors

    public java.util.List getParserErrors()

  Gets the message list for the parser errors.

  Returns:
    the message list for the parser errors

### getParserFatalErrors

    public java.util.List getParserFatalErrors()

  Gets the message list for the parser fatal errors.

  Returns:
    the message list for the parser fatal errors

### getParserWarnings

    public java.util.List getParserWarnings()

  Gets the message list for the parser warnings.

  Returns:
    the message list for the parser warnings

### getFileName

    public java.lang.String getFileName()

  Gets css file name

  Returns:
    css file name

### getContainerHandle

    public DesignElementHandle getContainerHandle()

  Gets container handle.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.